Endpoint
POST /oauth/ro
This endpoint is part of the legacy authentication pipeline and has been replaced in favor of the Password Grant. For more information on the latest authentication pipeline refer to Introducing OIDC Conformant Authentication.
connection specified, it will do the authentication on the provider and return a JSON with the Access Token and ID Token.
Remarks
- This endpoint only works for database connections, passwordless connections, Active Directory/LDAP, Windows Azure AD and ADFS.
- The main difference between passive and active authentication is that the former happens in the browser through the Auth0 Login Page and the latter can be invoked from anywhere (a script, server to server, and so forth).
- The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.
Learn More
- Database Identity Providers
- Rate Limits on User/Password Authentication
- Active Directory/LDAP Connector